/*
 * Copyright OpenSearch Contributors
 * SPDX-License-Identifier: Apache-2.0
 */
import React from 'react';
import { OkSwatch } from '../swatches/ok_swatch';
import { Label } from './label';
import { jsx as _jsx } from "react/jsx-runtime";
export const OkLabel = _ref => {
  let text = _ref.text,
    _ref$children = _ref.children,
    children = _ref$children === void 0 ? /*#__PURE__*/_jsx(OkSwatch, {}) : _ref$children;
  return /*#__PURE__*/_jsx(Label, {
    text: text,
    className: "osd:gap-1.5",
    children: children
  });
};